export const mapProp = {
  value0: "companyNo",
  value1: "companyName",
  value2: "supplierNo",
  value3: "supplierName",
  value4: "payNo",
  value5: "invoiceType",
  value6: "invoiceCode",
  value7: "invoiceNumber",
  value8: "inv_subtotal_amount",
  value9: "inv_total",
  value10: "open_time",
  value11: "checkNumber"
};

export const requireHeaders = [];

const columns = [
  {
    label: '商品ID',
    prop: 'product_id',
    minWidth: '100px',
    required: true,
    defaultData: ''
  },
  {
    label:'盘点数量',
    prop: 'check_num',
    minWidth: '100px',
    required: true,
    defaultData: ''
  },
  {
    label: '盘点类型',
    prop: 'check_type',
    minWidth: '100px',
    required: true
  },
  {
    label:'封账月份',
    prop: 'fz_date',
    minWidth: '100px',
    required: true
  }
]

const batchCreateTemplate = [columns.slice(1).reduce((prev, current) => {
  return { ...prev, [current.label]: current.defaultData ? current.defaultData : '' }
}, {})]

export { columns, batchCreateTemplate };
